export declare const CPasswordInput: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Accessible label for the toggle visibility button.
     */
    ariaLabelToggler: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Delay emitting `change` and `update:modelValue` events.
     * `true` = 500ms delay, or specify custom delay in ms.
     */
    delay: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    /**
     * Disables the password input field. When `true`, the user cannot interact with the field.
     */
    disabled: BooleanConstructor;
    /**
     * General feedback text shown below the input.
     */
    feedback: StringConstructor;
    /**
     * Feedback text shown when input is invalid.
     */
    feedbackInvalid: StringConstructor;
    /**
     * Feedback text shown when input is valid.
     */
    feedbackValid: StringConstructor;
    /**
     * Class for the floating label wrapper.
     */
    floatingClassName: StringConstructor;
    /**
     * Floating label text.
     */
    floatingLabel: StringConstructor;
    /**
     * ID of the input element.
     */
    id: StringConstructor;
    /**
     * Marks the input as invalid.
     */
    invalid: BooleanConstructor;
    /**
     * Main label for the input.
     */
    label: StringConstructor;
    /**
     * The current value of the password input, used with v-model.
     */
    modelValue: StringConstructor;
    /**
     * Makes the input read-only, allowing text selection only.
     */
    readOnly: BooleanConstructor;
    /**
     * Controls the initial visibility of the password.
     */
    showPassword: BooleanConstructor;
    /**
     * Sets the visual size of the input. Accepts `'sm'`, `'lg'`, or undefined.
     */
    size: {
        type: () => "sm" | "lg" | undefined;
        default: undefined;
    };
    /**
     * Helper or hint text displayed below the input.
     */
    text: StringConstructor;
    /**
     * Enables tooltip-style validation feedback messages.
     */
    tooltipFeedback: BooleanConstructor;
    /**
     * Marks the input as valid.
     */
    valid: BooleanConstructor;
    /**
     * Alternative to `modelValue`, mostly for manual `:value` binding.
     */
    value: StringConstructor;
}>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Accessible label for the toggle visibility button.
     */
    ariaLabelToggler: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Delay emitting `change` and `update:modelValue` events.
     * `true` = 500ms delay, or specify custom delay in ms.
     */
    delay: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    /**
     * Disables the password input field. When `true`, the user cannot interact with the field.
     */
    disabled: BooleanConstructor;
    /**
     * General feedback text shown below the input.
     */
    feedback: StringConstructor;
    /**
     * Feedback text shown when input is invalid.
     */
    feedbackInvalid: StringConstructor;
    /**
     * Feedback text shown when input is valid.
     */
    feedbackValid: StringConstructor;
    /**
     * Class for the floating label wrapper.
     */
    floatingClassName: StringConstructor;
    /**
     * Floating label text.
     */
    floatingLabel: StringConstructor;
    /**
     * ID of the input element.
     */
    id: StringConstructor;
    /**
     * Marks the input as invalid.
     */
    invalid: BooleanConstructor;
    /**
     * Main label for the input.
     */
    label: StringConstructor;
    /**
     * The current value of the password input, used with v-model.
     */
    modelValue: StringConstructor;
    /**
     * Makes the input read-only, allowing text selection only.
     */
    readOnly: BooleanConstructor;
    /**
     * Controls the initial visibility of the password.
     */
    showPassword: BooleanConstructor;
    /**
     * Sets the visual size of the input. Accepts `'sm'`, `'lg'`, or undefined.
     */
    size: {
        type: () => "sm" | "lg" | undefined;
        default: undefined;
    };
    /**
     * Helper or hint text displayed below the input.
     */
    text: StringConstructor;
    /**
     * Enables tooltip-style validation feedback messages.
     */
    tooltipFeedback: BooleanConstructor;
    /**
     * Marks the input as valid.
     */
    valid: BooleanConstructor;
    /**
     * Alternative to `modelValue`, mostly for manual `:value` binding.
     */
    value: StringConstructor;
}>> & Readonly<{
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}>, {
    invalid: boolean;
    size: "sm" | "lg" | undefined;
    disabled: boolean;
    valid: boolean;
    tooltipFeedback: boolean;
    readOnly: boolean;
    showPassword: boolean;
    ariaLabelToggler: string;
    delay: number | boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
